Subject: Re: [PATCH] mergetool: reorder vim/gvim buffers in three-way diffs

From: David Aguilar <[email-masked]>
Date: Thu, 11 Feb 2016 13:15:09 -0800

On Thu, Feb 11, 2016 at 08:03:57AM -0800, Junio C Hamano wrote:
> Michael J Gruber <[email-masked]> writes:
> 
> >> Does this mean that I should warn in the release notes that some
> >> existing users might get their expectation broken but we are going
> >> ahead anyway because we think most people read left to right and
> >> then top down?  I am OK with saying that--I just wanted to make sure
> >> we know that it is what we are doing.
> >
> > I would claim that anyone who notices the difference in buffer numbering
> > would be positively surprised.
> 
> Thanks. I, being a non-user of vim, was wondering if people who had
> their own user-defined commands (macros? and possibly short-cut keys
> to invoke them) built around the old (and odd) numbering need to
> adjust--in which case we may need to forewarn.
> 
> > In any case, the buffer numbering is not the same (it is local remote
> > base merge) but it doesn't matter in this case because only one window
> > is displayed, so there is no visual association.
> 
> OK, thanks.

Sorry for not noticing this thread earlier.
The change and the rationale sound good to me.

FWIW,

Acked-by: David Aguilar <[email-masked]>

ciao,
-- 
David